Skip to navigation Skip to main content
Menu
ADD ANYTHING HERE OR JUST REMOVE IT…
Login / Register
Sign in Create an Account

Lost your password?

0 items .ރ 0.00
Menu
0 items
SEARA CHICKEN DRUMSTICKS 900G - Image 1
Click to enlarge
Home Uncategorized SEARA CHICKEN DRUMSTICKS 900G
Placeholder
HAPPY DAY PASSION FRUIT JUICE 1 LTR .ރ 60.00
Back to products
Placeholder
Olitalia Pure Olive Oil 500ml .ރ 160.00

SEARA CHICKEN DRUMSTICKS 900G

.ރ 90.00

2 in stock

SKU: 03714 Category: Uncategorized
Share:
  • Shipping & Delivery
Shipping & Delivery

Related products

CHICKI CHUNK CHICKEN IN SUNFLOWER-OIL 160 g

.ރ 35.00
Add to cart

COAST CALCIUM MILK POWDER 1800 g RFC001

.ރ 420.00
Add to cart

COAST FULL CREAM MILK POWDER 900 g RFC008

.ރ 210.00
Add to cart

COAST MILK POWDER(SACHET) 2250 g RFC009

.ރ 430.00
Add to cart
Placeholder

CREAM CRACKERS 200 g (KHONG GUAN)

.ރ 20.00
Add to cart

Dilmah Tbag 020/1.5G APPLE

.ރ 35.00
Add to cart

FOSTER CLARK COLOR 28 ml ORANGE

.ރ 25.00
Add to cart

SUPER MILK TEA ORIGINAL (24*25s*18g)

.ރ 5.00
Add to cart
    Based on WoodMart theme© 2026 WooCommerce Themes.
    payments
    Start typing to see posts you are looking for.
    • Menu
    • Categories
    Set your categories menu in Header builder -> Mobile -> Mobile menu element -> Show/Hide -> Choose menu
    • Login / Register
    Shopping cart
    Close
    Home
    0 items Cart
    My account